Bug 466631 - vpnc stops working with selinux + kernel 2.6.27 final
vpnc stops working with selinux + kernel 2.6.27 final
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-11 17:20 EDT by Hans de Goede
Modified: 2008-10-15 14:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 14:02:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-10-11 17:20:10 EDT
Description of problem:
-After updating me kernel to: 
kernel-2.6.27-3.fc10.x86_64 (from: kernel-2.6.27-0.377.rc8.git1.fc10.x86_64)

vpnc no longer works unless I set selinux in permissive mode, I get the following (relevant) audit messages when this happens:

type=CRED_ACQ msg=audit(1223759855.442:62): user pid=4235 uid=0 auid=500 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:setcred acct="root" exe="/usr/bin/sudo" (hostname=localhost.localdomain, addr=127.0.0.1, terminal=/dev/pts/1 res=success)'
type=USER_START msg=audit(1223759855.445:63): user pid=4235 uid=0 auid=500 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_open acct="root" exe="/usr/bin/sudo" (hostname=localhost.localdomain, addr=127.0.0.1, terminal=/dev/pts/1 res=success)'
type=USER_END msg=audit(1223759855.445:64): user pid=4235 uid=0 auid=500 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_close acct="root" exe="/usr/bin/sudo" (hostname=localhost.localdomain, addr=127.0.0.1, terminal=/dev/pts/1 res=success)'
type=USER_CMD msg=audit(1223759855.446:65): user pid=4235 uid=0 auid=500 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='cwd="/home/hans" cmd="/usr/sbin/vpnc" (terminal=pts/1 res=success)'
type=AVC msg=audit(1223759855.450:66): avc:  denied  { read } for  pid=4235 comm="vpnc" scontext=unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_t:s0 tclass=file
type=SYSCALL msg=audit(1223759855.450:66): arch=c000003e syscall=2 success=yes exit=3 a0=37fff0 a1=0 a2=1b6 a3=7f7f016a76f0 items=0 ppid=3885 pid=4235 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts1 ses=1 comm="vpnc" exe="/usr/sbin/vpnc" subj=unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023 key=(null)

With the most important one being:
type=AVC msg=audit(1223759855.450:66): avc:  denied  { read } for  pid=4235 comm="vpnc" scontext=unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_t:s0 tclass=file
Comment 1 Hans de Goede 2008-10-12 03:09:07 EDT
Note, the message when trying to run vpnc with selinux enabled is:

[hans@localhost ~]$ sudo vpnc
FATAL: error reading `/proc/sys/crypto/fips_enabled' in libgcrypt: Permission denied
Segmentation fault
[hans@localhost ~]$
Comment 2 Daniel Walsh 2008-10-15 14:02:54 EDT
Fixed in selinux-policy-3.5.12-1.fc10.noarch

Note You need to log in before you can comment on or make changes to this bug.